Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.transaction
Class NaiveDoubleTransactionManager

    java.lang.Object
      org.springframework.data.transaction.NaiveDoubleTransactionManager

All Implemented Interfaces:
  PlatformTransactionManager

    public class NaiveDoubleTransactionManager

extends Object
implements PlatformTransactionManager

Constructor Summary
`NaiveDoubleTransactionManager(PlatformTransactionManager a, PlatformTransactionManager b)`

Method Summary
`void` | `commit(TransactionStatus ts)`
`TransactionStatus` | `getTransaction(TransactionDefinition td)`
`void` | `rollback(TransactionStatus ts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NaiveDoubleTransactionManager

    public NaiveDoubleTransactionManager(PlatformTransactionManager a,
                                         PlatformTransactionManager b)

Method Detail

### commit

    public void commit(TransactionStatus ts)
                throws TransactionException

  Specified by:
    `commit` in interface `PlatformTransactionManager`
  Throws:
    `TransactionException`

### getTransaction

    public TransactionStatus getTransaction(TransactionDefinition td)
                                     throws TransactionException

  Specified by:
    `getTransaction` in interface `PlatformTransactionManager`
  Throws:
    `TransactionException`

### rollback

    public void rollback(TransactionStatus ts)
                  throws TransactionException

  Specified by:
    `rollback` in interface `PlatformTransactionManager`
  Throws:
    `TransactionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.